Subject: Re: Automatic selection of transition mechanism?

From: Nathan Ward <[email-masked]>
Date: Thu, 8 May 2008 21:58:13 +1200

On 26/03/2008, at 1:41 AM, <[email-masked]> <[email-masked] 
 > wrote:

> Hi,
>
> As we now have a set of mechanisms to transport IPv6 over IPv4  
> standardized, and as it seems we will probably end up having a set  
> of mechanisms to access IPv4 destinations over IPv6-only access  
> (MNAT-PT, SNAT, NATv4v6v4…), has there been discussion already how a  
> host that implements multiple transition technologies should  
> efficiently and automatically discover which mechanisms to use in  
> access networks it happens to attach (and move between)?
>
> Is the current state of the art just: trial & error, provisioning by  
> non-IETF means, or as defined by other SDOs for their systems?
>
There hasn't been a reply to this yet, so I'll fill the void.

I haven't kept up to date on the new stuff that people are talking  
about, SHANTI, (M)NAT-PT and so on.

Windows does a fairly reasonable job, by doing roughly:
- Look for ISATAP.<domain>. If it exists use ISATAP.
- If we have a non-RFC1918 address use 6to4.
- Last resort use Teredo.

That seems to be a reasonable approach. The one big bug is if the non- 
RFC1918 address is filtered, NATed, etc. 6to4 will generally fail to  
operate.

--
Nathan Ward

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 09 May 2008 09:02:27 +1200

On 2008-05-08 21:58, Nathan Ward wrote:
> On 26/03/2008, at 1:41 AM, <[email-masked]>
> <[email-masked]> wrote:
> 
>> Hi,
>>
>> standardized, and as it seems we will probably end up having a set of
>> mechanisms to access IPv4 destinations over IPv6-only access (MNAT-PT,
>> SNAT, NATv4v6v4…), has there been discussion already how a host that
>> implements multiple transition technologies should efficiently and
>> automatically discover which mechanisms to use in access networks it
>> happens to attach (and move between)?
>>
> That seems to be a reasonable approach. The one big bug is if the
> non-RFC1918 address is filtered, NATed, etc. 6to4 will generally fail to
> operate.

Right, which suggests a need to encourage reachability checking so that
black holes are detected.

I think it's too soon to think about operational pragmas for IPv4-via-IPv6
until the various solutions settle down.

   Brian